Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in Mozilla Firefox
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in Mozilla Firefox
ID: openSUSE-SU-2018:3435-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3, SUSE openSUSE Leap 15.0
Datum: Do, 25. Oktober 2018, 16:53
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12392
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12397
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12395
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12393
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12390
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12396
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12389
Applikationen: Mozilla Firefox

Originalnachricht

   openSUSE Security Update: Security update for Mozilla Firefox
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:3435-1
Rating: important
References: #1112852
Cross-References: CVE-2018-12389 CVE-2018-12390 CVE-2018-12392
CVE-2018-12393 CVE-2018-12395 CVE-2018-12396
CVE-2018-12397
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 15.0
______________________________________________________________________________

An update that fixes 7 vulnerabilities is now available.

Description:

This update for Mozilla Firefox to version 60.3.0esr fixes security issues
and stability bugs.

The following security issues were fixed (MFSA 2018-27, boo#1112852):

- CVE-2018-12392: Crash with nested event loops
- CVE-2018-12393: Integer overflow during Unicode conversion while loading
JavaScript
- CVE-2018-12395: WebExtension bypass of domain restrictions through
header rewriting
- CVE-2018-12396: WebExtension content scripts can execute in disallowed
contexts
- CVE-2018-12397: WebExtension local file access vulnerability
- CVE-2018-12389: Memory safety bugs fixed in Firefox ESR 60.3
- CVE-2018-12390: Memory safety bugs fixed in Firefox 63 and Firefox ESR
60.3


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-1268=1

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2018-1268=1



Package List:

- openSUSE Leap 42.3 (x86_64):

MozillaFirefox-60.3.0-122.2
MozillaFirefox-branding-upstream-60.3.0-122.2
MozillaFirefox-buildsymbols-60.3.0-122.2
MozillaFirefox-debuginfo-60.3.0-122.2
MozillaFirefox-debugsource-60.3.0-122.2
MozillaFirefox-devel-60.3.0-122.2
MozillaFirefox-translations-common-60.3.0-122.2
MozillaFirefox-translations-other-60.3.0-122.2

- openSUSE Leap 15.0 (x86_64):

MozillaFirefox-60.3.0-lp150.3.27.2
MozillaFirefox-branding-upstream-60.3.0-lp150.3.27.2
MozillaFirefox-buildsymbols-60.3.0-lp150.3.27.2
MozillaFirefox-debuginfo-60.3.0-lp150.3.27.2
MozillaFirefox-debugsource-60.3.0-lp150.3.27.2
MozillaFirefox-devel-60.3.0-lp150.3.27.2
MozillaFirefox-translations-common-60.3.0-lp150.3.27.2
MozillaFirefox-translations-other-60.3.0-lp150.3.27.2


References:

https://www.suse.com/security/cve/CVE-2018-12389.html
https://www.suse.com/security/cve/CVE-2018-12390.html
https://www.suse.com/security/cve/CVE-2018-12392.html
https://www.suse.com/security/cve/CVE-2018-12393.html
https://www.suse.com/security/cve/CVE-2018-12395.html
https://www.suse.com/security/cve/CVE-2018-12396.html
https://www.suse.com/security/cve/CVE-2018-12397.html
https://bugzilla.suse.com/1112852

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung